import { MPDProtocol } from '../protocol';
export declare class ConnectionCommands {
    private protocol;
    constructor(protocol: MPDProtocol);
    /**
     * Closes the connection to MPD. MPD will try to send the remaining output buffer before it
     * actually closes the connection, but that cannot be guaranteed. This command will not
     * generate a response.
     */
    close(): void;
    /**
     * Kills MPD.
     */
    kill(): void;
    /**
     * This is used for authentication with the server. `password` is simply the plaintext password.
     */
    password(password: string): Promise<void>;
    /**
     * Does nothing but return "OK".
     */
    ping(): Promise<void>;
}
