import { MPDProtocol } from '../protocol';
import { OutputDevice } from '../objects/outputDevice';
export declare class OutputDeviceCommands {
    private protocol;
    constructor(protocol: MPDProtocol);
    /**
     * Returns information about all outputs.
     */
    outputs(): Promise<OutputDevice[]>;
    /**
     * Turns an output on.
     */
    enableOutput(id: number): Promise<void>;
    /**
     * Turns an output off.
     */
    disableOutput(id: number): Promise<void>;
    /**
     * Turns an output on or off, depending on the current state.
     */
    toggleOutput(id: number): Promise<void>;
}
